CitrixGroup (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.citrix.CitrixGroup interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.citrix
Interface CitrixGroup

All Superinterfaces:
  Collection, ManagedElement, ModelObject, java.io.Serializable

    public interface CitrixGroup

extends Collection

Naming Rules:
  0="accountType,name"
Persistable:
  true
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`CitrixAccountAuthority` | `getAccountAuthority()`
`int` | `getAccountType()`
`CitrixApplication[]` | `getCitrixApplications()`
`boolean` | `hasAccountAuthority()`
`boolean` | `hasAccountType()`
`boolean` | `hasCitrixApplications()`
`void` | `setAccountAuthority(CitrixAccountAuthority x)`
`void` | `setAccountType(int x)`
`void` | `setCitrixApplications(CitrixApplication[] x)`

Methods inherited from interface com.collation.platform.model.topology.core.Collection
`getActive, getMembers, getName, hasActive, hasMembers, hasName, setActive, setMembers, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getAccountType

    int getAccountType()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAccountType

    void setAccountType(int x)

### hasAccountType

    boolean hasAccountType()

### getAccountAuthority

    CitrixAccountAuthority getAccountAuthority()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Authorizes" reverse="true"

### setAccountAuthority

    void setAccountAuthority(CitrixAccountAuthority x)

### hasAccountAuthority

    boolean hasAccountAuthority()

### getCitrixApplications

    CitrixApplication[] getCitrixApplications()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setCitrixApplications

    void setCitrixApplications(CitrixApplication[] x)

### hasCitrixApplications

    boolean hasCitrixApplications()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD